package com.ruoyi.bst.channel.domain;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wjh
 * 2024/5/5
 */
@Data
public class ChannelQuery extends Channel {

    @ApiModelProperty("渠道ID列表")
    private List<Long> channelIds;

    @ApiModelProperty("应用ID")
    private Long appId;

    @ApiModelProperty("排除的渠道API类型")
    private String excludeApiType;

    @ApiModelProperty("可用业务")
    private String bstType;
}
