package com.ruoyi.bst.driver.domain.dto;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class DriverVerifyDTO {
    @ApiModelProperty("驾驶证认证ID")
    @NotNull(message = "驾驶证认证ID不能为空")
    private Long id;

    @ApiModelProperty("审核结果")
    @NotNull(message = "审核结果不能为空")
    private Boolean pass;

    @ApiModelProperty("审核备注")
    @Size(max = 255, message = "审核备注不能超过255个字符")
    private String remark;

    @ApiModelProperty("审核人ID")
    private Long verifyId;
}
