package com.ruoyi.bst.reconciliationDate.utils;

import java.math.BigDecimal;

import com.ruoyi.bst.reconciliationDate.domain.ReconciliationDate;

public class ReconciliationDateUtil {
    
    
    /**
     * 判断对账数据是否为空
     * @param data
     * @return
     */
    public static boolean isEmpty(ReconciliationDate data) {
        // 所有数值类型都为空或者0,则认为对账数据为空
        return (data.getActualBonus() == null || data.getActualBonus().compareTo(BigDecimal.ZERO) == 0)
            && (data.getChannelCost() == null || data.getChannelCost().compareTo(BigDecimal.ZERO) == 0)
            && (data.getOrderPayAmount() == null || data.getOrderPayAmount().compareTo(BigDecimal.ZERO) == 0)
            && (data.getOrderRefundAmount() == null || data.getOrderRefundAmount().compareTo(BigDecimal.ZERO) == 0)
            && (data.getOrderActualAmount() == null || data.getOrderActualAmount().compareTo(BigDecimal.ZERO) == 0)
            && (data.getPayAmount() == null || data.getPayAmount().compareTo(BigDecimal.ZERO) == 0)
            && (data.getRefundAmount() == null || data.getRefundAmount().compareTo(BigDecimal.ZERO) == 0)
            && (data.getActualAmount() == null || data.getActualAmount().compareTo(BigDecimal.ZERO) == 0)
            && (data.getVipPayAmount() == null || data.getVipPayAmount().compareTo(BigDecimal.ZERO) == 0)
            && (data.getVipRefundAmount() == null || data.getVipRefundAmount().compareTo(BigDecimal.ZERO) == 0)
            && (data.getVipActualAmount() == null || data.getVipActualAmount().compareTo(BigDecimal.ZERO) == 0)
            && (data.getDepositPayAmount() == null || data.getDepositPayAmount().compareTo(BigDecimal.ZERO) == 0)
            && (data.getDepositRefundAmount() == null || data.getDepositRefundAmount().compareTo(BigDecimal.ZERO) == 0)
            && (data.getDepositActualAmount() == null || data.getDepositActualAmount().compareTo(BigDecimal.ZERO) == 0);
    }
}
