package com.ruoyi.dashboard.domain.dailySettleStat;

import java.math.BigDecimal;
import java.time.LocalDate;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class DailySettleStatVO {

    @ApiModelProperty("日期")
    private LocalDate date;

    @ApiModelProperty("订单结算金额")
    private BigDecimal orderSettleAmount;

    @ApiModelProperty("退款金额")   
    private BigDecimal refundAmount;

    @ApiModelProperty("分成结算金额")
    private BigDecimal bonusSettleAmount;

    @ApiModelProperty("分成退款金额")
    private BigDecimal bonusRefundAmount;
}
