package com.ruoyi.bst.feeLog.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 改价记录对象 bst_fee_log
 *
 * @author ruoyi
 * @date 2025-05-22
 */
@Data
public class FeeLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "订单ID")
    @ApiModelProperty("订单ID")
    private Long orderId;

    @Excel(name = "改动前价格json")
    @ApiModelProperty("改动前价格json")
    private FeeLogInfo beforeFee;

    @Excel(name = "改动后价格json")
    @ApiModelProperty("改动后价格json")
    private FeeLogInfo afterFee;

    @Excel(name = "操作人ID")
    @ApiModelProperty("操作人ID")
    private Long userId;

    @Excel(name = "改价原因")
    @ApiModelProperty("改价原因")
    private String reason;

    @Excel(name = "运营区ID")
    @ApiModelProperty("运营区ID")
    private Long areaId;

}
