package com.ruoyi.bst.pay.service;

import java.math.BigDecimal;
import java.util.List;

import com.ruoyi.bst.pay.domain.PayQuery;
import com.ruoyi.common.domain.vo.StringDecimalVO;

public interface PayDashboard {

    /**
     * 查询骑行订单支付金额
     * @param query
     * @return
     */
    BigDecimal selectSumofOrderPayedAmount(PayQuery query);

    /**
     * 查询渠道成本
     * @param query
     * @return
     */
    BigDecimal selectSumOfChannelCost(PayQuery query);

    /**
     * 查询各个业务支付金额
     * @param query
     * @return
     */
    List<StringDecimalVO> selectSumOfPayedAmountGroupByBstType(PayQuery query);
    
}
